package com.ssj.bean.weixin.message.domain;


import com.ssj.bean.common.framework.core.domain.BaseEntity;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

@Table(name="tb_message_reply")
@Entity
public class MessageReply extends BaseEntity{

	/**
	 * 微信公众号关键词回复消息
	 */
	private static final long serialVersionUID = 1L;

	private String keyword;//关键词
	private String text;//文本消息
	private String mediaId;//微信媒体id
	private String imgUrl;//图片地址
	private String created;//临时素材创建时间
	private String type;//类型

	@Column(name = "keyword")
	public String getKeyword() {
		return keyword;
	}
	public void setKeyword(String keyword) {
		this.keyword = keyword;
	}

	@Column(name = "text")
	public String getText() {
		return text;
	}
	public void setText(String text) {
		this.text = text;
	}

	@Column(name = "media_id")
	public String getMediaId() {
		return mediaId;
	}
	public void setMediaId(String mediaId) {
		this.mediaId = mediaId;
	}

	@Column(name = "img_url")
	public String getImgUrl() {
		return imgUrl;
	}
	public void setImgUrl(String imgUrl) {
		this.imgUrl = imgUrl;
	}

	@Column(name = "created_at")
	public String getCreated() {
		return created;
	}
	public void setCreated(String created) {
		this.created = created;
	}

	@Column(name = "type")
	public String getType() {
		return type;
	}
	public void setType(String type) {
		this.type = type;
	}
}
